Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83768 - radeon 9500 hwcursor corrupted on 4.2.99.901
Summary: radeon 9500 hwcursor corrupted on 4.2.99.901
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-08 01:27 UTC by Charles R. Anderson
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-20 03:20:56 UTC


Attachments (Terms of Use)
XF86Config (deleted)
2003-02-08 01:45 UTC, Charles R. Anderson
no flags Details
XFree86.0.log with HwCursor enabled (deleted)
2003-02-08 01:47 UTC, Charles R. Anderson
no flags Details
XFree86.0.log with SwCursor enabled (deleted)
2003-02-08 01:48 UTC, Charles R. Anderson
no flags Details

Description Charles R. Anderson 2003-02-08 01:27:17 UTC
Description of problem:

I have a Built-by-ATI Radeon 9500 128MB:

01:00.0 VGA compatible controller: ATI Technologies Inc: Unknown device 4144
(prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc: Unknown device 0002
        Flags: bus master, stepping, 66Mhz, medium devsel, latency 64, IRQ 11
        Memory at f0000000 (32-bit, prefetchable) [size=128M]
        I/O ports at ec00 [size=256]
        Memory at ff8f0000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at 80000000 [disabled] [size=128K]
        Capabilities: <available only to root>

01:00.1 Display controller: ATI Technologies Inc: Unknown device 4164
        Subsystem: ATI Technologies Inc: Unknown device 0003
        Flags: bus master, stepping, 66Mhz, medium devsel, latency 64
        Memory at e8000000 (32-bit, prefetchable) [size=128M]
        Memory at ff8e0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: <available only to root>


After upgrading to 4.2.99.901-20030205.0 from 4.2.99.4, the hardware cursor has
additional pixels "tagging along" with the proper cursor shape.  There are three
extra single-pixel dots arranged in a triangle, below and to the right of the
actual cursor, and they move in sync with the cursor.  Their distance is about 1
to 4 cursor-sizes away from the actual cursor shape.  It doesn't matter what
shape the cursor is (arrow, I-beam, etc.)

Interestingly, this only happens on display :0.0 of my dual-headed set up (no
Xinerama).  :0.0 is DVI-D, :0.1 is the Analog HD-15 VGA connector.

Using Option "SwCursor" in XF86Config causes the problem to go away.

Version-Release number of selected component (if applicable):

4.2.99.901-20030205.0

How reproducible:

Always

Steps to Reproduce:
1. Install phoebe2
2. Upgrade to rawhide XFree86-4.2.99.901-20030205.0

Additional Info:

Will attach XFree86.0.log and XF86Config.

Comment 1 Charles R. Anderson 2003-02-08 01:45:33 UTC
Created attachment 89940 [details]
XF86Config

Comment 2 Charles R. Anderson 2003-02-08 01:47:12 UTC
Created attachment 89941 [details]
XFree86.0.log with HwCursor enabled

Comment 3 Charles R. Anderson 2003-02-08 01:48:08 UTC
Created attachment 89942 [details]
XFree86.0.log with SwCursor enabled

Comment 4 Charles R. Anderson 2003-02-17 18:44:31 UTC
This problem has gone away in XFree86-4.2.99.901-20030213.1,
so it appears that this has fixed the problem:

- Added XFree86-4.2.99.901-argb-cursor-render-bugfix-keithp.patch, yet another
  ARGB cursor bugfix.  This one is in the render code.  It should fix problems
  reported by msw and others of random blobs and crap following the cursors
  around, in particular when using the 'core' cursor theme


Comment 5 Mike A. Harris 2003-02-20 03:20:56 UTC
Thanks, closing as RAWHIDE


Note You need to log in before you can comment on or make changes to this bug.